Skip to main content
PATCH
Change Member

Authorizations

Authorization
string
header
required

Authentication: Member session tokens authenticate team members within a customer account. Generate one through the customer session operation.

Path Parameters

id
string<uuid>
required

Body

application/json

Schema for updating a member in the customer portal.

name
string | null

The name of the member.

Maximum string length: 256
Example:

"Jane Doe"

role
enum<string> | null

The new role for the member.

Available options:
owner,
billing_manager,
member
Example:

"billing_manager"

Response

Member updated.

A member of the customer's team as seen in the customer portal.

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

id
string<uuid4>
required

The stable identifier for this record.

email
string
required

The email address of the member.

name
string | null
required

The name of the member.

role
enum<string>
required

The role of the member within the team.

Available options:
owner,
billing_manager,
member